Subject: [bug#53318] [PATCH] gnu: Add go-github-com-go-chi-chi-v5.

From: Efraim Flashner <[email-masked]>
Date: Wed, 19 Jan 2022 13:04:11 +0200

On Tue, Jan 18, 2022 at 06:51:29PM +0100, Maxime Devos wrote:
> Hi,
> 
> Please keep debbugs in CC: or To: so other people know how the patch is
> progressing.
> 
> 路辉 schreef op di 18-01-2022 om 15:26 [+0000]:
> > OK, new patch: [...]
> 
> I did the following checks:
> 
>   1. [x] it builds
>   2. [x] "guix lint" shows no problems
>   3. [x] there doesn't appear to be any malware in the source code
> 
> While doing (3), I noticed that the test code has a certificate
> ‘certs.pem’ and ‘key.pem’, which will expire eventually, which isn't
> good for long-term reproducibility
> (cf. https://issues.guix.gnu.org/44559).
> 
> So in the adjusted package definition, I deleted the affected test
> ‘middleware/middleware_test.go’, 'testdata/cert.pem' and
> 'testdata/key.pem', see attachement.
> 
> I also capitalised 'http' to 'HTTP' in the description.
> The description is a bit short but I don't have much of an idea
> how to improve it.
> 
> Aside from that, it LGTM.

FWIW when I imported this package I got the following description:

Package chi is a small, idiomatic and composable router for building HTTP services.

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted